"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _interopRequireWildcard2 = _interopRequireDefault(require("@babel/runtime/helpers/interopRequireWildcard"));

var _react = _interopRequireDefault(require("react"));

var _Loader = _interopRequireDefault(require("./Loader"));

var _store = require("../store");

// import app components
const Router = /*#__PURE__*/_react.default.lazy(() => Promise.resolve().then(() => (0, _interopRequireWildcard2.default)(require('./router/Router'))));

const JamCMS = props => {
  return /*#__PURE__*/_react.default.createElement(_react.default.Suspense, {
    fallback: /*#__PURE__*/_react.default.createElement(_Loader.default, null)
  }, /*#__PURE__*/_react.default.createElement(_store.StoreProvider, props, /*#__PURE__*/_react.default.createElement(Router, {
    pageContext: props === null || props === void 0 ? void 0 : props.pageContext,
    defaultComponent: props.children
  })));
};

var _default = JamCMS;
exports.default = _default;