"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _antd = require("antd");

var _store = require("../store");

// import app components
const LanguageSwitcher = () => {
  var _sites$siteID, _sites$siteID$languag, _sites$siteID$languag2;

  const [{
    cmsState: {
      siteID,
      sites,
      activeLanguage
    }
  }, dispatch] = (0, _store.useStore)();
  return /*#__PURE__*/_react.default.createElement(_antd.Select, {
    value: activeLanguage,
    onChange: v => dispatch({
      type: 'SET_ACTIVE_LANGUAGE',
      payload: v
    }),
    style: {
      width: '100px'
    }
  }, /*#__PURE__*/_react.default.createElement(_antd.Select.Option, {
    value: "all"
  }, "All"), (_sites$siteID = sites[siteID]) === null || _sites$siteID === void 0 ? void 0 : (_sites$siteID$languag = _sites$siteID.languages) === null || _sites$siteID$languag === void 0 ? void 0 : (_sites$siteID$languag2 = _sites$siteID$languag.languages) === null || _sites$siteID$languag2 === void 0 ? void 0 : _sites$siteID$languag2.map(o => /*#__PURE__*/_react.default.createElement(_antd.Select.Option, {
    key: o.id,
    value: o.slug
  }, o.name)));
};

var _default = LanguageSwitcher;
exports.default = _default;