"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _antd = require("antd");

var _templateObject, _templateObject2;

const Loader = props => {
  const {
    text = '',
    height = '100vh',
    py = 0
  } = props;
  return /*#__PURE__*/_react.default.createElement(Container, {
    className: "jam-cms",
    height: height,
    py: py
  }, /*#__PURE__*/_react.default.createElement(Content, null, /*#__PURE__*/_react.default.createElement(_antd.Spin, {
    size: "large"
  }), text && /*#__PURE__*/_react.default.createElement(_antd.Typography.Text, {
    style: {
      fontSize: 12,
      marginTop: 20,
      textTransform: 'uppercase'
    }
  }, text)));
};

const Container = (0, _styledComponents.default)('div')(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2.default)(["\n  height: ", ";\n  width: 100%;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  padding-top: ", ";\n  padding-bottom: ", ";\n"])), (_ref) => {
  let {
    height
  } = _ref;
  return height;
}, (_ref2) => {
  let {
    py
  } = _ref2;
  return "".concat(py, "px");
}, (_ref3) => {
  let {
    py
  } = _ref3;
  return "".concat(py, "px");
});

const Content = _styledComponents.default.div(_templateObject2 || (_templateObject2 = (0, _taggedTemplateLiteral2.default)(["\n  display: flex;\n  flex-direction: column;\n"])));

var _default = Loader;
exports.default = _default;