"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _router = require("@reach/router");

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _antd = require("antd");

var _PreviewEditor = _interopRequireDefault(require("../editor/PreviewEditor"));

var _Loader = _interopRequireDefault(require("../Loader"));

var _store = require("../../store");

var _templateObject;

const PreviewRouter = props => {
  const [{
    cmsState: {
      sites,
      siteID
    }
  }] = (0, _store.useStore)();
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, sites[siteID] ? /*#__PURE__*/_react.default.createElement(_router.Router, null, /*#__PURE__*/_react.default.createElement(_PreviewEditor.default, (0, _extends2.default)({
    path: '*'
  }, props))) : /*#__PURE__*/_react.default.createElement(_Loader.default, {
    text: "Load Preview"
  }), /*#__PURE__*/_react.default.createElement(PreviewBanner, {
    children: "Preview",
    type: "primary"
  }));
};

const PreviewBanner = (0, _styledComponents.default)(_antd.Button)(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2.default)(["\n  position: fixed;\n  left: 0;\n  top: 50%;\n  z-index: 9999;\n  transform: rotate(270deg) translate(-50%, 50%);\n  transform-origin: left;\n"])));
var _default = PreviewRouter;
exports.default = _default;