"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

require("../../styles/antd.min.css");

require("../../styles/jodit.min.css");

var _AdminRouter = _interopRequireDefault(require("./AdminRouter"));

var _PreviewRouter = _interopRequireDefault(require("./PreviewRouter"));

var _PrivateRouter = _interopRequireDefault(require("./PrivateRouter"));

var _Loader = _interopRequireDefault(require("../Loader"));

var _useAuth = _interopRequireDefault(require("../../hooks/useAuth"));

var _useSite = _interopRequireDefault(require("../../hooks/useSite"));

var _store = require("../../store");

var _auth = require("../../utils/auth");

// import external css files
// import components
const Router = props => {
  var _authUser$capabilitie, _authUser$capabilitie2;

  const [{
    authState: {
      authUser
    }
  }] = (0, _store.useStore)();
  (0, _useAuth.default)();
  (0, _useSite.default)();

  if ((0, _auth.getPreviewID)()) {
    return /*#__PURE__*/_react.default.createElement(_PreviewRouter.default, props);
  } else if (authUser !== null && authUser !== void 0 && (_authUser$capabilitie = authUser.capabilities) !== null && _authUser$capabilitie !== void 0 && _authUser$capabilitie.edit_posts) {
    return /*#__PURE__*/_react.default.createElement(_AdminRouter.default, props);
  } else if (authUser !== null && authUser !== void 0 && (_authUser$capabilitie2 = authUser.capabilities) !== null && _authUser$capabilitie2 !== void 0 && _authUser$capabilitie2.read) {
    return /*#__PURE__*/_react.default.createElement(_PrivateRouter.default, props);
  } else {
    return /*#__PURE__*/_react.default.createElement(_Loader.default, null);
  }
};

var _default = Router;
exports.default = _default;